# Fightcards Endpoint

## **Endpoint URLs**

**For all tournaments:**

| `https://dde-api.data`**.**`imgarena.com/mma/fightcards` |
| -------------------------------------------------------- |

**If you want to look at just information for a particular fightcard:**

| `https://dde-api.data.imgarena.com/mma/fightcards/{id}` |
| ------------------------------------------------------- |

**Required Headers**

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

\
**Request Parameters**

**This endpoint takes the following parameters:**

| **Parameter** | Type   | Purpose                                                                                                                                                             |
| ------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| org           | string | Filter out results based on the organisation, can pass org = "pfl"                                                                                                  |
| dateFrom      | date   | <p>Filter the tournaments by date. Only tournaments which have events on or after the specified date will be included.<br>E.g. <code>dateFrom=2024-06-01</code></p> |
| dateTo        | date   | <p>Filter the tournaments by date. Only tournaments which have events on or before the specified date will be included.<br>E.g. <code>dateTo=2024-06-30</code></p>  |

## **Response Model**

### **Tournament Object**

| Field Name                | Type    | Description                                                                            |
| ------------------------- | ------- | -------------------------------------------------------------------------------------- |
| fightcardName             | string  | the name of the fightcard                                                              |
| identifier                | integer | the identifier of the fightcard                                                        |
| countryCode               | string  | the country code of the country where the fightcard is taking place                    |
| location                  | string  | the country in which the fightcard is taking place                                     |
| state                     | string  | <p>the state/province in which the fightcard is taking place<br><br>Null if uknown</p> |
| city                      | string  | The city in which the fightcard is taking place                                        |
| venue                     | string  | The name of the venue where the fightcard is taking place                              |
| venueId                   | integer | The ID of the venue where the fightcard is taking place                                |
| externalAssociationId     | string  | The unique federation identifier of the fight                                          |
| startDate                 | date    | The start date for the fightcard                                                       |
| endDate                   | date    | the end date for the fightcard                                                         |
| startTime                 | time    | the time in which the fightcard starts, in local time + UTC offset format              |
| utcOffset                 | integer | the UTC offset of the timezone in which the fightcard is taking place                  |
| year                      | integer | the year in which the fightcard is taking place                                        |
| sport                     | string  | the sport associated with the fightcard, in this case MMA                              |
| numberOfFights            | integer | the number of fights on the fightcard                                                  |
| scheduleResource          | string  | a reference to the API URL for the schedule of this fightcard                          |
| status                    | string  | <p>the status of this fightcard.</p><p>Potential values are: active / canceled.</p>    |
| booking Status            | object  | information on whether or not a fightcard is booked                                    |
| comments                  | array   | the latest comments on the status of the fightcard                                     |
| numberOfFightsBookedToday | integer | Number of fights booked on the DDE as per your license agreement                       |
| eventSummary              | object  | -                                                                                      |
| competitions              | array   | -                                                                                      |

### **Fights Summary Object**

The fightcard will contain main card only for PFL and the number of fights.

| Field Name | Type    | Description                                               |
| ---------- | ------- | --------------------------------------------------------- |
| fights     | integer | the number of fights in this particular card of the fight |
| startTime  | time    | the estimated start time of that particular card          |

### **Booking Status Object**

| **F**ield Name | Type   | Description                                    |
| -------------- | ------ | ---------------------------------------------- |
| status         | string | Current booking status of the event on the DDE |

### **Competitions Object**

| Field Name        | Type   | Description                                              |
| ----------------- | ------ | -------------------------------------------------------- |
| organisation      | string | the organisation of the particular fightcard i,e PFL     |
| startDate         | date   | The start date for the fightcard                         |
| endDate           | date   | the end date for the fightcard                           |
| licensingProperty | string | The DDE property that licenses this particular fightcard |

### Sample Response

```
{
    "city": "Warna",
    "numberOfFightsBookedToday": 36,
    "year": 2025,
    "sport": "MMA",
    "venueId": "757",
    "scheduleResource": "/mma/fightcards/2424/schedule",
    "numberOfFights": 36,
    "venue": "ZOL test Venue 1",
    "externalAssociationId": "pfl-eu-brussels123",
    "startTime": "11:00",
    "location": "BG",
    "endDate": "2025-07-05",
    "fightcardName": "pfl-eu-brussels",
    "state": null,
    "identifier": 2424,
    "countryCode": "BG",
    "status": "active",
    "eventsSummary": {},
    "utcOffset": 0,
    "startDate": "2025-07-05",
    "bookingStatus": {
        "status": "AutoBooked"
    },
    "competitions": [
        {
            "organisation": "PFL",
            "startDate": "2025-07-05",
            "endDate": "2025-07-05"
        }
    ],
    "comments": []
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/pfl-media/schedule-endpoints-restful/fightcards-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
